Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/comdissip.h
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/comdissip.h	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/comdissip.h	(revision 1140)
@@ -2,15 +2,14 @@
 ! $Header$
 !
-c-----------------------------------------------------------------------
-c INCLUDE dissip.h
+!-----------------------------------------------------------------------
+! INCLUDE comdissip.h
 
-      COMMON/comdissip/
-     $    lstardis,niterdis,coefdis,tetavel,tetatemp,gamdissip
+      COMMON/comdissip/                                                 &
+     &    niterdis,coefdis,tetavel,tetatemp,gamdissip
 
 
-      LOGICAL lstardis
       INTEGER niterdis
 
       REAL tetavel,tetatemp,coefdis,gamdissip
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/conf_gcm.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/conf_gcm.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/conf_gcm.F	(revision 1140)
@@ -6,5 +6,10 @@
       SUBROUTINE conf_gcm( tapedef, etatinit, clesphy0 )
 c
+#ifdef CPP_IOIPSL
       use IOIPSL
+#else
+! if not using IOIPSL, we still need to use (a local version of) getin
+      use ioipsl_getincom
+#endif
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -99,4 +104,10 @@
 c  Parametres de controle du run:
 c-----------------------------------------------------------------------
+!Config  Key  = planet_type
+!Config  Desc = planet type ("earth", "mars", "venus", ...)
+!Config  Def  = earth
+!Config  Help = this flag sets the type of atymosphere that is considered
+      planet_type="earth"
+      CALL getin('planet_type',planet_type)
 
 !Config  Key  = dayref
@@ -179,4 +190,11 @@
        CALL getin('periodav',periodav)
 
+!Config  Key  = output_grads_dyn
+!Config  Desc = output dynamics diagnostics in 'dyn.dat' file
+!Config  Def  = n
+!Config  Help = output dynamics diagnostics in Grads-readable 'dyn.dat' file
+       output_grads_dyn=.false.
+       CALL getin('output_grads_dyn',output_grads_dyn)
+
 !Config  Key  = idissip
 !Config  Desc = periode de la dissipation 
@@ -274,4 +292,12 @@
 c    ...............................................................
 
+!Config  Key  =  read_start
+!Config  Desc = Initialize model using a 'start.nc' file
+!Config  Def  = y
+!Config  Help = y: intialize dynamical fields using a 'start.nc' file
+!               n: fields are initialized by 'iniacademic' routine
+       read_start= .true.
+       CALL getin('read_start',read_start)
+
 !Config  Key  = iflag_phys
 !Config  Desc = Avec ls physique 
@@ -330,6 +356,6 @@
 c
       IF( ABS(clat - clatt).GE. 0.001 )  THEN
-        PRINT *,' La valeur de clat passee par run.def est differente de 
-     *  celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de clat passee par run.def',
+     &    ' est differente de celle lue sur le fichier  start '
         STOP
       ENDIF
@@ -345,6 +371,6 @@
 
       IF( ABS(grossismx - grossismxx).GE. 0.001 )  THEN
-        PRINT *,' La valeur de grossismx passee par run.def est differente  
-     *  de celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de grossismx passee par ',
+     &  'run.def est differente de celle lue sur le fichier  start '
         STOP
       ENDIF
@@ -359,11 +385,12 @@
 
       IF( ABS(grossismy - grossismyy).GE. 0.001 )  THEN
-        PRINT *,' La valeur de grossismy passee par run.def est differen
-     * te de celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de grossismy passee par ',
+     & 'run.def est differente de celle lue sur le fichier  start '
         STOP
       ENDIF
       
       IF( grossismx.LT.1. )  THEN
-        PRINT *,' ***  ATTENTION !! grossismx < 1 .   *** '
+        write(lunout,*)
+     &       'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
          STOP
       ELSE
@@ -373,5 +400,6 @@
 
       IF( grossismy.LT.1. )  THEN
-        PRINT *,' ***  ATTENTION !! grossismy < 1 .   *** '
+        write(lunout,*)
+     &       'conf_gcm: ***  ATTENTION !! grossismy < 1 .   *** '
          STOP
       ELSE
@@ -379,5 +407,5 @@
       ENDIF
 
-      PRINT *,' alphax alphay defrun ',alphax,alphay
+      write(lunout,*)'conf_gcm: alphax alphay',alphax,alphay
 c
 c    alphax et alphay sont les anciennes formulat. des grossissements
@@ -394,17 +422,17 @@
 
       IF( .NOT.fxyhypb )  THEN
-           IF( fxyhypbb )     THEN
-              PRINT *,' ********  PBS DANS  DEFRUN  ******** '
-              PRINT *,' *** fxyhypb lu sur le fichier start est F ',
-     *       'alors  qu il est  T  sur  run.def  ***'
+         IF( fxyhypbb )     THEN
+            write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+            write(lunout,*)' *** fxyhypb lu sur le fichier start est ',
+     *       'F alors  qu il est  T  sur  run.def  ***'
               STOP
-           ENDIF
+         ENDIF
       ELSE
-           IF( .NOT.fxyhypbb )   THEN
-              PRINT *,' ********  PBS DANS  DEFRUN  ******** '
-              PRINT *,' ***  fxyhypb lu sur le fichier start est T ',
-     *        'alors  qu il est  F  sur  run.def  ****  '
+         IF( .NOT.fxyhypbb )   THEN
+            write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+            write(lunout,*)' ***  fxyhypb lu sur le fichier start est ',
+     *        'T alors  qu il est  F  sur  run.def  ****  '
               STOP
-           ENDIF
+         ENDIF
       ENDIF
 c
@@ -419,6 +447,6 @@
       IF( fxyhypb )  THEN
        IF( ABS(dzoomx - dzoomxx).GE. 0.001 )  THEN
-        PRINT *,' La valeur de dzoomx passee par run.def est differente 
-     *  de celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de dzoomx passee par ',
+     *  'run.def est differente de celle lue sur le fichier  start '
         STOP
        ENDIF
@@ -435,6 +463,6 @@
       IF( fxyhypb )  THEN
        IF( ABS(dzoomy - dzoomyy).GE. 0.001 )  THEN
-        PRINT *,' La valeur de dzoomy passee par run.def est differente 
-     * de celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de dzoomy passee par ',
+     * 'run.def est differente de celle lue sur le fichier  start '
         STOP
        ENDIF
@@ -450,6 +478,6 @@
       IF( fxyhypb )  THEN
        IF( ABS(taux - tauxx).GE. 0.001 )  THEN
-        PRINT *,' La valeur de taux passee par run.def est differente
-     * de celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de taux passee par ',
+     * 'run.def est differente de celle lue sur le fichier  start '
         STOP
        ENDIF
@@ -465,6 +493,6 @@
       IF( fxyhypb )  THEN
        IF( ABS(tauy - tauyy).GE. 0.001 )  THEN
-        PRINT *,' La valeur de tauy passee par run.def est differente
-     * de celle lue sur le fichier  start '
+        write(lunout,*)'conf_gcm: La valeur de tauy passee par ',
+     * 'run.def est differente de celle lue sur le fichier  start '
         STOP
        ENDIF
@@ -484,19 +512,19 @@
 
         IF( .NOT.ysinus )  THEN
-           IF( ysinuss )     THEN
-              PRINT *,' ********  PBS DANS  DEFRUN  ******** '
-              PRINT *,' *** ysinus lu sur le fichier start est F ',
-     *       'alors  qu il est  T  sur  run.def  ***'
+          IF( ysinuss )     THEN
+            write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+            write(lunout,*)' *** ysinus lu sur le fichier start est F',
+     *       ' alors  qu il est  T  sur  run.def  ***'
+            STOP
+          ENDIF
+        ELSE
+          IF( .NOT.ysinuss )   THEN
+            write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+            write(lunout,*)' *** ysinus lu sur le fichier start est T',
+     *        ' alors  qu il est  F  sur  run.def  ****  '
               STOP
-           ENDIF
-        ELSE
-           IF( .NOT.ysinuss )   THEN
-              PRINT *,' ********  PBS DANS  DEFRUN  ******** '
-              PRINT *,' ***  ysinus lu sur le fichier start est T ',
-     *        'alors  qu il est  F  sur  run.def  ****  '
-              STOP
-           ENDIF
+          ENDIF
         ENDIF
-      ENDIF
+      ENDIF ! of IF( .NOT.fxyhypb  )
 c
 !Config  Key  = offline
@@ -521,4 +549,5 @@
       write(lunout,*)' #########################################'
       write(lunout,*)' Configuration des parametres du gcm: '
+      write(lunout,*)' planet_type = ', planet_type
       write(lunout,*)' dayref = ', dayref
       write(lunout,*)' anneeref = ', anneeref
@@ -529,4 +558,5 @@
       write(lunout,*)' iecri = ', iecri
       write(lunout,*)' periodav = ', periodav 
+      write(lunout,*)' output_grads_dyn = ', output_grads_dyn
       write(lunout,*)' idissip = ', idissip
       write(lunout,*)' lstardis = ', lstardis
@@ -539,4 +569,5 @@
       write(lunout,*)' coefdis = ', coefdis
       write(lunout,*)' purmats = ', purmats
+      write(lunout,*)' read_start = ', read_start
       write(lunout,*)' iflag_phys = ', iflag_phys
       write(lunout,*)' iphysiq = ', iphysiq
@@ -590,5 +621,6 @@
 
       IF( grossismx.LT.1. )  THEN
-        PRINT *,' ***  ATTENTION !! grossismx < 1 .   *** '
+        write(lunout,*)
+     &   'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
          STOP
       ELSE
@@ -598,5 +630,6 @@
 
       IF( grossismy.LT.1. )  THEN
-        PRINT *,' ***  ATTENTION !! grossismy < 1 .   *** '
+        write(lunout,*)
+     &  'conf_gcm: ***  ATTENTION !! grossismy < 1 .   *** '
          STOP
       ELSE
@@ -604,5 +637,5 @@
       ENDIF
 
-      PRINT *,' alphax alphay defrun ',alphax,alphay
+      write(lunout,*)'conf_gcm: alphax alphay ',alphax,alphay
 c
 c    alphax et alphay sont les anciennes formulat. des grossissements
@@ -693,4 +726,5 @@
       write(lunout,*)' #########################################'
       write(lunout,*)' Configuration des parametres du gcm: '
+      write(lunout,*)' planet_type = ', planet_type
       write(lunout,*)' dayref = ', dayref
       write(lunout,*)' anneeref = ', anneeref
@@ -701,4 +735,5 @@
       write(lunout,*)' iecri = ', iecri
       write(lunout,*)' periodav = ', periodav 
+      write(lunout,*)' output_grads_dyn = ', output_grads_dyn
       write(lunout,*)' idissip = ', idissip
       write(lunout,*)' lstardis = ', lstardis
@@ -711,11 +746,12 @@
       write(lunout,*)' coefdis = ', coefdis
       write(lunout,*)' purmats = ', purmats
+      write(lunout,*)' read_start = ', read_start
       write(lunout,*)' iflag_phys = ', iflag_phys
       write(lunout,*)' iphysiq = ', iphysiq
-      write(lunout,*)' clonn = ', clonn 
-      write(lunout,*)' clatt = ', clatt
+      write(lunout,*)' clon = ', clon
+      write(lunout,*)' clat = ', clat
       write(lunout,*)' grossismx = ', grossismx
       write(lunout,*)' grossismy = ', grossismy
-      write(lunout,*)' fxyhypbb = ', fxyhypbb
+      write(lunout,*)' fxyhypb = ', fxyhypb
       write(lunout,*)' dzoomx = ', dzoomx
       write(lunout,*)' dzoomy = ', dzoomy
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/control.h
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/control.h	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/control.h	(revision 1140)
@@ -14,5 +14,6 @@
      &              iperiod,iapp_tracvl,iconser,iecri,idissip,iphysiq , &
      &              periodav,iecrimoy,dayref,anneeref,                  &
-     &              raz_date,offline,ip_ebil_dyn,config_inca
+     &              raz_date,offline,ip_ebil_dyn,config_inca,           &
+     &              planet_type,output_grads_dyn
 
       INTEGER   nday,day_step,iperiod,iapp_tracvl,iconser,iecri,        &
@@ -22,3 +23,6 @@
       logical offline
       CHARACTER (len=4) :: config_inca
+      CHARACTER(len=10) :: planet_type ! planet type ('earth','mars',...)
+      LOGICAL :: output_grads_dyn ! output dynamics diagnostics in
+                                  ! binary grads file 'dyn.dat' (y/n)
 !-----------------------------------------------------------------------
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/diagedyn.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/diagedyn.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/diagedyn.F	(revision 1140)
@@ -58,6 +58,7 @@
 #include "paramet.h"
 #include "comgeom.h"
-
-#ifdef CPP_PHYS
+#include "iniprint.h"
+
+#ifdef CPP_EARTH
 #include "../phylmd/YOMCST.h"
 #include "../phylmd/YOETHF.h"
@@ -139,5 +140,5 @@
 
 
-#ifdef CPP_PHYS
+#ifdef CPP_EARTH
 c======================================================================
 C     Compute Kinetic enrgy
@@ -314,6 +315,7 @@
 C
 #else
-      print*,'Pour l instant diagedyn a besoin de la physique'
+      write(lunout,*),'diagedyn: Needs Earth physics to function'
 #endif
+! #endif of #ifdef CPP_EARTH 
       RETURN 
       END 
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/etat0_netcdf.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/etat0_netcdf.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/etat0_netcdf.F	(revision 1140)
@@ -5,5 +5,5 @@
 c
       SUBROUTINE etat0_netcdf (interbar, masque)
-    
+#ifdef CPP_EARTH        
       USE startvar
       USE ioipsl
@@ -14,4 +14,6 @@
       USE phys_state_var_mod
       USE filtreg_mod
+#endif
+!#endif of #ifdef CPP_EARTH
       !
       IMPLICIT NONE
@@ -25,4 +27,5 @@
 !     .KLON=KFDIA-KIDIA+1,KLEV=llm
       !
+#ifdef CPP_EARTH    
 #include "comgeom2.h"
 #include "comvert.h"
@@ -31,8 +34,14 @@
 #include "dimsoil.h"
 #include "temps.h"
-      !
+#endif
+!#endif of #ifdef CPP_EARTH
+      ! arguments:
       LOGICAL interbar
+      REAL :: masque(iip1,jjp1)
+
+#ifdef CPP_EARTH
+      ! local variables:
       REAL :: latfi(klon), lonfi(klon)
-      REAL :: orog(iip1,jjp1), rugo(iip1,jjp1), masque(iip1,jjp1)
+      REAL :: orog(iip1,jjp1), rugo(iip1,jjp1)
       REAL :: psol(iip1, jjp1), phis(iip1, jjp1)
       REAL :: p3d(iip1, jjp1, llm+1)
@@ -143,4 +152,5 @@
       !
       preff     = 101325.
+      pa        =  50000.
       unskap = 1./kappa
       !
@@ -168,5 +178,5 @@
 
 
-      CALL inicons0()
+      CALL iniconst()
       CALL inigeom()
 
@@ -759,4 +769,6 @@
       DEALLOCATE(q3d)
 
+#endif 
+!#endif of #ifdef CPP_EARTH
       RETURN
       !
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/gcm.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/gcm.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/gcm.F	(revision 1140)
@@ -8,4 +8,7 @@
 #ifdef CPP_IOIPSL
       USE IOIPSL
+#else
+! if not using IOIPSL, we still need to use (a local version of) getin
+      USE ioipsl_getincom
 #endif
 
@@ -17,5 +20,6 @@
 ! A nettoyer. On ne veut qu'une ou deux routines d'interface 
 ! dynamique -> physique pour l'initialisation
-#ifdef CPP_PHYS
+! Ehouarn: for now these only apply to Earth:
+#ifdef CPP_EARTH
       USE dimphy
       USE comgeomphy
@@ -158,26 +162,4 @@
 
 
-c--------------------------------------------------------------------------
-c   Iflag_phys controle l'appel a la physique :
-c   -------------------------------------------
-c      0 : pas de physique
-c      1 : Normale (appel a phylmd, phymars ...)
-c      2 : rappel Newtonien pour la temperature + friction au sol
-      iflag_phys=1
-
-c--------------------------------------------------------------------------
-c   Lecture de l'etat initial :
-c   ---------------------------
-c     T : on lit start.nc
-c     F : le modele s'autoinitialise avec un cas academique (iniacademic)
-      read_start=.true.
-#ifdef CPP_IOIPSL
-#else
-      read_start=.false.
-#endif
-#ifdef CPP_PHYS
-#else
-      read_start=.false.
-#endif
 
 c-----------------------------------------------------------------------
@@ -196,9 +178,10 @@
 c  ---------------------------------------
 c
-#ifdef CPP_IOIPSL
+! Ehouarn: dump possibility of using defrun
+!#ifdef CPP_IOIPSL
       CALL conf_gcm( 99, .TRUE. , clesphy0 )
-#else
-      CALL defrun( 99, .TRUE. , clesphy0 )
-#endif
+!#else
+!      CALL defrun( 99, .TRUE. , clesphy0 )
+!#endif
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -206,8 +189,11 @@
 ! A nettoyer. On ne veut qu'une ou deux routines d'interface 
 ! dynamique -> physique pour l'initialisation
-#ifdef CPP_PHYS
+! Ehouarn : temporarily (?) keep this only for Earth
+      if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
       CALL Init_Phys_lmdz(iim,jjp1,llm,1,(jjm-1)*iim+2)
       call InitComgeomphy
 #endif
+      endif
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -242,7 +228,17 @@
 c  lecture du fichier start.nc
       if (read_start) then
-#ifdef CPP_IOIPSL
+      ! we still need to run iniacademic to initialize some
+      ! constants & fields, if we run the 'newtonian' case:
+        if (iflag_phys.eq.2) then
+          CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
+        endif
+!#ifdef CPP_IOIPSL
+        if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
+! Load an Earth-format start file
          CALL dynetat0("start.nc",vcov,ucov,
      .              teta,q,masse,ps,phis, time_0)
+#endif
+        endif ! of if (planet_type.eq."earth")
 c       write(73,*) 'ucov',ucov
 c       write(74,*) 'vcov',vcov
@@ -251,6 +247,5 @@
 c       write(77,*) 'q',q
 
-#endif
-      endif
+      endif ! of if (read_start)
 
       IF (config_inca /= 'none') THEN
@@ -264,5 +259,5 @@
 c le cas echeant, creation d un etat initial
       IF (prt_level > 9) WRITE(lunout,*)
-     .                 'AVANT iniacademic AVANT AVANT AVANT AVANT'
+     .              'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
       if (.not.read_start) then
          CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
@@ -298,5 +293,5 @@
       if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) then
         write(lunout,*)
-     .  ' Attention les dates initiales lues dans le fichier'
+     .  'GCM: Attention les dates initiales lues dans le fichier'
         write(lunout,*)
      .  ' restart ne correspondent pas a celles lues dans '
@@ -304,5 +299,5 @@
         if (raz_date .ne. 1) then
           write(lunout,*)
-     .    ' On garde les dates du fichier restart'
+     .    'GCM: On garde les dates du fichier restart'
         else
           annee_ref = anneeref
@@ -313,5 +308,5 @@
           time_0 = 0.
           write(lunout,*)
-     .   ' On reinitialise a la date lue dans gcm.def'
+     .   'GCM: On reinitialise a la date lue dans gcm.def'
         endif
       ELSE
@@ -350,6 +345,6 @@
 c   Initialisation de la physique :
 c   -------------------------------
-#ifdef CPP_PHYS
-      IF (call_iniphys.and.iflag_phys.eq.1) THEN
+
+      IF (call_iniphys.and.(iflag_phys.eq.1)) THEN
          latfi(1)=rlatu(1)
          lonfi(1)=0.
@@ -370,10 +365,15 @@
          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,aire,airefi)
          WRITE(lunout,*)
-     .           'WARNING!!! vitesse verticale nulle dans la physique'
+     .       'GCM: WARNING!!! vitesse verticale nulle dans la physique'
+! Earth:
+         if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
          CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys ,
      ,                latfi,lonfi,airefi,zcufi,zcvfi,rad,g,r,cpp     )
+#endif
+         endif ! of if (planet_type.eq."earth")
          call_iniphys=.false.
-      ENDIF
-#endif
+      ENDIF ! of IF (call_iniphys.and.(iflag_phys.eq.1))
+!#endif
 
 c  numero de stockage pour les fichiers de redemarrage:
@@ -386,10 +386,15 @@
       day_end = day_ini + nday
       WRITE(lunout,300)day_ini,day_end
+ 300  FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+      if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
+      CALL dynredem0("restart.nc", day_end, phis)
+#endif
+      endif
+
+      ecripar = .TRUE.
 
 #ifdef CPP_IOIPSL
-      CALL dynredem0("restart.nc", day_end, phis)
-
-      ecripar = .TRUE.
-
       if ( 1.eq.1) then
       time_step = zdtvr
@@ -409,4 +414,5 @@
 
 #endif
+! #endif of #ifdef CPP_IOIPSL
 
 c  Choix des frequences de stokage pour le offline
@@ -432,8 +438,4 @@
      .              time_0)
 
-
-
- 300  FORMAT('1'/,15x,'run du pas',i7,2x,'au pas',i7,2x,
-     . 'c''est a dire du jour',i7,3x,'au jour',i7//)
       END
 
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/iniacademic.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/iniacademic.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3d/iniacademic.F	(revision 1140)
@@ -45,4 +45,5 @@
 #include "temps.h"
 #include "control.h"
+#include "iniprint.h"
 
 c   Arguments:
@@ -57,18 +58,14 @@
       REAL ps(ip1jmp1)                       ! pression  au sol
       REAL masse(ip1jmp1,llm)                ! masse d'air
+      REAL phis(ip1jmp1)                     ! geopotentiel au sol
+
+c   Local:
+c   ------
+
       REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
       REAL pks(ip1jmp1)                      ! exner au  sol
       REAL pk(ip1jmp1,llm)                   ! exner au milieu des couches
       REAL pkf(ip1jmp1,llm)                  ! exner filt.au milieu des couches
-      REAL phis(ip1jmp1)                     ! geopotentiel au sol
       REAL phi(ip1jmp1,llm)                  ! geopotentiel
-
-
-
-
-
-c   Local:
-c   ------
-
       REAL ddsin,tetarappelj,tetarappell,zsig
       real tetajl(jjp1,llm)
@@ -81,37 +78,38 @@
 
 c-----------------------------------------------------------------------
+! 1. Initializations for Earth-like case
+! --------------------------------------
+      if (planet_type=="earth") then
+c
+        time_0=0.
 
-c
-      time_0=0.
+        im         = iim
+        jm         = jjm
+        day_ini    = 0
+        omeg       = 4.*asin(1.)/86400.
+        rad    = 6371229.
+        g      = 9.8
+        daysec = 86400.
+        dtvr    = daysec/FLOAT(day_step)
+        zdtvr=dtvr
+        kappa  = 0.2857143
+        cpp    = 1004.70885
+        preff     = 101325.
+        pa        =  50000.
+        etot0      = 0.
+        ptot0      = 0.
+        ztot0      = 0.
+        stot0      = 0.
+        ang0       = 0.
 
-      im         = iim
-      jm         = jjm
-      day_ini    = 0
-      omeg       = 4.*asin(1.)/86400.
-      rad    = 6371229.
-      g      = 9.8
-      daysec = 86400.
-      dtvr    = daysec/FLOAT(day_step)
-      zdtvr=dtvr
-      kappa  = 0.2857143
-      cpp    = 1004.70885
-      preff     = 101325.
-      pa        =  50 000.
-      etot0      = 0.
-      ptot0      = 0.
-      ztot0      = 0.
-      stot0      = 0.
-      ang0       = 0.
-      pa         = 0.
+        CALL iniconst
+        CALL inigeom
+        CALL inifilr
 
-      CALL inicons0
-      CALL inigeom
-      CALL inifilr
-
-      ps=0.
-      phis=0.
+        ps=0.
+        phis=0.
 c---------------------------------------------------------------------
 
-      taurappel=10.*daysec
+        taurappel=10.*daysec
 
 c---------------------------------------------------------------------
@@ -119,63 +117,63 @@
 c   --------------------------------------
 
-      DO l=1,llm
-       zsig=ap(l)/preff+bp(l)
-       if (zsig.gt.0.3) then
-         lsup=l
-         tetarappell=1./8.*(-log(zsig)-.5)
-         DO j=1,jjp1
-            ddsin=sin(rlatu(j))-sin(pi/20.)
-            tetajl(j,l)=300.*(1+1./18.*(1.-3.*ddsin*ddsin)+tetarappell)
-         ENDDO
-        else
+        DO l=1,llm
+         zsig=ap(l)/preff+bp(l)
+         if (zsig.gt.0.3) then
+           lsup=l
+           tetarappell=1./8.*(-log(zsig)-.5)
+           DO j=1,jjp1
+             ddsin=sin(rlatu(j))-sin(pi/20.)
+             tetajl(j,l)=300.*(1+1./18.*(1.-3.*ddsin*ddsin)+tetarappell)
+           ENDDO
+          else
 c   Choix isotherme au-dessus de 300 mbar
-         do j=1,jjp1
-            tetajl(j,l)=tetajl(j,lsup)*(0.3/zsig)**kappa
-         enddo
-        endif
-      ENDDO
+           do j=1,jjp1
+             tetajl(j,l)=tetajl(j,lsup)*(0.3/zsig)**kappa
+           enddo
+          endif ! of if (zsig.gt.0.3)
+        ENDDO ! of DO l=1,llm
 
-      do l=1,llm
-         do j=1,jjp1
-            do i=1,iip1
-               ij=(j-1)*iip1+i
-               tetarappel(ij,l)=tetajl(j,l)
-            enddo
-         enddo
-      enddo
+        do l=1,llm
+           do j=1,jjp1
+              do i=1,iip1
+                 ij=(j-1)*iip1+i
+                 tetarappel(ij,l)=tetajl(j,l)
+              enddo
+           enddo
+        enddo
 
-c     call dump2d(jjp1,llm,tetajl,'TEQ   ')
+c       call dump2d(jjp1,llm,tetajl,'TEQ   ')
 
-      ps=1.e5
-      phis=0.
-      CALL pression ( ip1jmp1, ap, bp, ps, p       )
-      CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
-      CALL massdair(p,masse)
+        ps=1.e5
+        phis=0.
+        CALL pression ( ip1jmp1, ap, bp, ps, p       )
+        CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
+        CALL massdair(p,masse)
 
 c  intialisation du vent et de la temperature
-      teta(:,:)=tetarappel(:,:)
-      CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
-      call ugeostr(phi,ucov)
-      vcov=0.
-      q(:,:,1   )=1.e-10
-      q(:,:,2   )=1.e-15
-      q(:,:,3:nqtot)=0.
+        teta(:,:)=tetarappel(:,:)
+        CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
+        call ugeostr(phi,ucov)
+        vcov=0.
+        q(:,:,1   )=1.e-10
+        q(:,:,2   )=1.e-15
+        q(:,:,3:nqtot)=0.
 
 
-c   perturbation al\351atoire sur la temp\351rature
-      idum  = -1
-      zz = ran1(idum)
-      idum  = 0
-      do l=1,llm
-         do ij=iip2,ip1jm
-            teta(ij,l)=teta(ij,l)*(1.+0.005*ran1(idum))
-         enddo
-      enddo
+c   perturbation aleatoire sur la temperature
+        idum  = -1
+        zz = ran1(idum)
+        idum  = 0
+        do l=1,llm
+           do ij=iip2,ip1jm
+              teta(ij,l)=teta(ij,l)*(1.+0.005*ran1(idum))
+           enddo
+        enddo
 
-      do l=1,llm
-         do ij=1,ip1jmp1,iip1
-            teta(ij+iim,l)=teta(ij,l)
-         enddo
-      enddo
+        do l=1,llm
+           do ij=1,ip1jmp1,iip1
+              teta(ij+iim,l)=teta(ij,l)
+           enddo
+        enddo
 
 
@@ -187,9 +185,14 @@
 
 c   initialisation d'un traceur sur une colonne
-      j=jjp1*3/4
-      i=iip1/2
-      ij=(j-1)*iip1+i
-      q(ij,:,3)=1.
-
+        j=jjp1*3/4
+        i=iip1/2
+        ij=(j-1)*iip1+i
+        q(ij,:,3)=1.
+      
+      else
+        write(lunout,*)"iniacademic: planet types other than earth",
+     &                 " not implemented (yet)."
+        stop
+      endif ! of if (planet_type=="earth")
       return
       END
